package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.HmcPartitionModel;
import com.bocloud.cmp.model.hmc.HmcProfileModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface ProfileProvider extends SuperProvider {
    public BocloudResult create(HmcPartitionModel partition, HmcProfileModel profile);

    public BocloudResult update(HmcProfileModel profile, boolean isVIOS, String partitionUuid, String profileUuid);

    public BocloudResult delete(boolean isVios, String partitionUuid, String profileUuid);

    public BocloudResult getProfile(boolean isVios, String partitionUuid, String profileUuid);

    public BocloudResult getProfile(boolean isVios, String partitionUuid);
}
